<?php
    require_once("./include/h.inc.php");
    admin_check();

    if ($submit) {

        if (empty($viewable)) $viewable = 0;
        $s_id = get_s_id($skill_level);
        $g_id = get_g_id($group);

        // insert test into DB
        $result = $db->query("INSERT INTO tests (s_id, title, num_required, num_random, viewable, g_id) VALUES
                   ($s_id, '$title', $num_required, $num_random, $viewable, $g_id)");

        $feedback = urlencode("Test successfully added");
        redirect("view_tests.php?feedback=$feedback");

    } else {
        require_once("./include/header.inc.php");
?>

<p>This is the test add administration area.  Here you can create new tests with parameters you want.</p>

        <form method="post" action="<?=$PHP_SELF?>">
          What skill level is this test?: <?php show_skill_levels(); ?><br><br>
          What group does this test belong to?: <?php show_groups(); ?><br><br>
          What do you want to call this test? (i.e. "1 week training exam") <br>
          <input type="text" name="title"><br><br>
          How many required questions do you want on this test?<br>
          <input type="text" name="num_required" value="10" length="3"><br><br>
          How many random questions do you want on this test?<br>
          <input type="text" name="num_random" value="15" length="3"><br><br>
          Check the below box if you want the test to be viewable<br>
          <input type="checkbox" name="viewable" value="1"><br><br>
          <input type="submit" name="submit" value="submit!">
        </form>
<?php
    }
?>