<?php
    require_once("./include/h.inc.php");
    admin_check();

    if ($submit) {

        if (empty($viewable)) $viewable = 0;
        $s_id = get_s_id($skill_level);
        $g_id = get_g_id($group);

        $db->query("UPDATE tests SET title = '$title', num_required = $num_required,
                    num_random = $num_random, s_id = $s_id, viewable = $viewable, g_id = $g_id
                    WHERE t_id = $t_id");

        $feedback = urlencode("This test has been successfully updated");
        redirect("view_tests.php?feedback=$feedback");

    } else {
        require_once("./include/header.inc.php");
        $result = $db->query("SELECT * FROM tests WHERE t_id = $t_id");
        @extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db");

        $s_description = get_s_description($db_s_id);
        $g_description = get_g_description($db_g_id);

        $checked = ($db_viewable) ? "checked" : "";
?>
        <form method="post" action="<?=$PHP_SELF?>">
          What skill level is this test?: <?php show_skill_levels("$s_description"); ?><br><br>
          What group does this test belong to?: <?php show_groups("$g_description"); ?><br><br>
          What do you want to call this test? (i.e. "1 week training exam") <br>
          <input type="text" name="title" value="<?=$db_title?>"><br><br>
          How many required questions do you want on this test?<br>
          <input type="text" name="num_required" value="<?=$db_num_required?>" length="3"><br><br>
          How many random questions do you want on this test?<br>
          <input type="text" name="num_random" value="<?=$db_num_random?>" length="3"><br><br>
          Check the below box if you want the test to be viewable:<br>
          <input type="checkbox" name="viewable" <?=$checked?> value="1"><br><br>
          <input type="hidden" name="t_id" value="<?=$t_id?>">
          <input type="submit" name="submit" value="submit!">
        </form>
<?
    }
?>