<?php

    require_once("include/h.inc.php");

    switch ($op) {
        case "login":
            $user = new cUser;
            session_register("user");
            if (!$user->authenticate($username, $password)) {
                require_once("include/header.inc.php");
                quit($user->error_message);
            } else {
                redirect("index.php");
            }
        break;

        case "logout":
            $user->logout();
            session_unregister($user);
            redirect("index.php");
        break;

        case "change":
            require_once("./include/header.inc.php");
            if ($submit) {
                if (!$user->change_password($username, $old_password, $password1, $password2)) die("$user->error_message");
                echo "Your password has been successfully changed.";
            } else { ?>

                <form action="<?php echo $PHP_SELF; ?>" method="post">
                <table>
                 <tr>
                  <td align="right">old password:</td>
                  <td><input type="password" name="old_password"></td>
                 </tr>
                  <td align="right">new password:</td>
                  <td><input type="password" name="password1"></td>
                 </tr>
                 <tr>
                  <td align="right">Confirm new Password:</td>
                  <td><input type="password" name="password2"></td>
                 </tr>
                 <tr>
                  <td><input type="hidden" name="op" value="change"></td>
                      <input type="hidden" name="username" value="<?php echo $user->username; ?>">
                  <td><input type="submit" name="submit" value="submit"></td>
                 </tr>
                </table>
                </form>
<?php       }
        break;
    }

?>
