<?php
    require_once("./include/header.inc.php");

    admin_check();

    if (empty($sort_order)) $sort_order = "t_id";
    if (empty($direction)) $direction = "ASC";

    if ($op == "delete") {
        $db->query("DELETE FROM tests WHERE t_id = $t_id");
        $feedback = "Test #$t_id has been deleted.";
    }

    if ($direction == "DESC") $new_direction = "ASC";
    else $new_direction = "DESC";

    $result = $db->query("SELECT * FROM tests ORDER BY $sort_order $direction");
    if ($feedback) echo "<span class=\"error\">$feedback</span>";
?>
    <table cellspacing="1" cellpadding="5" width="100%" bgcolor=<?php echo $registerbg; ?>>
     <tr>
      <td colspan="8" bgcolor=<?php echo $registerheader; ?>><center><b>Tests</b></center></td>
     </tr>
     <tr>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=title&direction=$new_direction"?>">Test Name</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=s_id&direction=$new_direction"?>">Skill level</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=g_id&direction=$new_direction"?>">User Group</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=num_required&direction=$new_direction"?>">Num. Required questions</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=num_random&direction=$new_direction"?>">Num. Random questions</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">Preview</div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">viewable?</div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">edit</div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">delete</div></td>
     </tr>
<?php

    if (!$db->num_rows($result)) {
        echo "<tr>";
        echo " <td bgcolor=$table_dark colspan=\"9\"><center>No tests added yet.</td>";
        echo "</tr>";
    }

    while (@extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db")) {

        $s_description = get_s_description($db_s_id);
        $g_description = get_g_description($db_g_id);
        $view = ($db_viewable) ? "yes" : "no";
        $color = table_highlight($count++);

        echo "<tr>";
        echo " <td bgcolor=$color><div class=\"small\">$db_title</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$s_description</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$g_description</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_num_required</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_num_random</div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"test.php?t_id=$db_t_id\">test.php?t_id=$db_t_id</a></div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$view</div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"edit_test.php?t_id=$db_t_id\">edit</a></div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"$PHP_SELF?op=delete&t_id=$db_t_id\">delete</a></div></td>";
        echo "</tr>";
    }

   echo "</table><br><br>";