<?php
    require_once("./include/h.inc.php");
    admin_check();

    if ($submit) {

        // get s_id of skill level
        $result = $db->query("SELECT s_id FROM skill_levels WHERE description = '$skill_level'");
        list($s_id) = $db->fetch_array($result);

        // set cookie with skill description
        if ($use_cookies) {
           setcookie ("cookie_skill_level", $skill_level, time()+2678400);
        }


        if (empty($required)) $required = "no";
        // insert question into db
        $db->query("INSERT INTO questions (s_id, required, type, weight, question, answer, alt_1, alt_2,
                    alt_3) values ($s_id, '$required', '$type', $weight, '$question', '$answer',
                    '$alt_1', '$alt_2', '$alt_3')");


        $feedback = urlencode("Question successfully added");
        redirect("view_questions.php?feedback=$feedback");


    } else {
        require_once("./include/header.inc.php");

        // display the proper form based on the question type
        switch ($type) {
            case "multiple":
?>
                <form method="post" action="<?=$PHP_SELF?>">
                  What skill level is this question?: <?php show_skill_levels($cookie_skill_level); ?><br><br>
                  Type in the question below:<br>
                  <input type="text" name="question"><br><br>
                  Type in the correct answer below:<br>
                  <input type="text" name="answer"><br><br>
                  Type in the alternate (incorrect) answers below:<br>
                  1. <input type="text" name="alt_1"><br>
                  2. <input type="text" name="alt_2"><br>
                  3. <input type="text" name="alt_3"><br><br>
                  Check the box if this is a required question. <input name="required" type="checkbox" value="yes"><br>
                  Choose the weight of this question: <select name="weight"><option selected>1
                    <option>2<option>3<option>4<option>5
                  </select><br>
                  <input type="hidden" name="type" value="Multiple Choice">
                  <input type="submit" name="submit" value="submit!">
                </form>
<?php
                break;

            case "truefalse":
?>
                <form method="post" action="<?=$PHP_SELF?>">
                  What skill level is this question?: <?php show_skill_levels($cookie_skill_level); ?><br><br>
                  Type in the question or statement below:<br>
                  <input type="text" name="question"><br><br>
                  Is the answer to the above question true or false?<br>
                  <select name="answer"><option selected>True<option>False</select><br><br>
                  Check the box if this is a required question. <input name="required" type="checkbox" value="yes"><br>
                  Choose the weight of this question: <select name="weight"><option selected>1
                    <option>2<option>3<option>4<option>5
                  </select><br>
                  <input type="hidden" name="alt_1" value="empty">
                  <input type="hidden" name="alt_2" value="empty">
                  <input type="hidden" name="alt_3" value="empty">
                  <input type="hidden" name="type" value="True or False">
                  <input type="submit" name="submit" value="submit!">
                </form>
<?php
                break;

            // essay questions are implemented but aren't being used yet because
            // the scoring routine can't score them.
            case "essay":
?>
                <form method="post" action="<?=$PHP_SELF?>">
                  What skill level is this question?: <?php show_skill_levels($cookie_skill_level); ?><br><br>
                  Type in the question below:<br>
                  <textarea name="question" rows="10" cols="60"></textarea><br><br>
                  Check the box if this is a required question. <input name="required" type="checkbox"
                  <?php if ($db_required == "yes") echo "checked"; ?> value="yes"><br>
                  Choose the weight of this question: <select name="weight"><option selected>1
                    <option>2<option>3<option>4<option>5
                  </select><br>
                  <input type="hidden" name="answer" value="empty">
                  <input type="hidden" name="alt_1" value="empty">
                  <input type="hidden" name="alt_2" value="empty">
                  <input type="hidden" name="alt_3" value="empty">
                  <input type="hidden" name="type" value="Essay">
                  <input type="submit" name="submit" value="submit!">
                </form>
<?php
                break;

            default:
                 quit("Question type was not specified.");
        } // end switch

    }
?>