<?php
    require_once("./include/h.inc.php");
    admin_check();
    $new_user = new cUser;

    if ($submit) {
        $g_id = get_g_id($group);
        if (empty($admin)) $admin = 0;
        if (!$new_user->register($user_name, $password1, $password2, $email, $real_name, $g_id, $admin)) {
            quit($new_user->error_message);
        } else {
            $feedback = "This user was successfully added.";
            redirect("view_users.php?feedback=$feedback");
        }
    } else {
        require_once("./include/header.inc.php");

?>

<p>Complete the following form to add an account.</p>

<form action="<?=$PHP_SELF?>" method="post">
<table>
 <tr>
  <td align="right">Desired username: <font class="small">(must be >= <?=$min_username_length?> and
                    <= <?=$max_username_length?> characters)</font></td>
  <td><input type="text" name="user_name"></td>
 </tr>
 <tr>
  <td align="right">Password:  <font class="small">(must be >= <?=$min_password_length?> and
                    <= <?=$max_password_length?> characters)</font></td>
  <td><input type="password" name="password1"></td>
 </tr>
 <tr>
  <td align="right">Confirm Password:</td>
  <td><input type="password" name="password2"></td>
 </tr>
 <tr>
  <td align="right">Email address:</td>
  <td><input type="text" name="email"></td>
 </tr>
 <tr>
  <td align="right">Real Name:</td>
  <td><input type="text" name="real_name"></td>
 </tr>
 <tr>
  <td align="right">Group:</td>
  <td><?php show_groups(); ?></td>
 </tr>
 <tr>
  <td align="right">Check box for admin privildeges:</td>
  <td><input type="checkbox" name="admin" value="1"></td>
 </tr>

 <tr>
  <td></td>
  <td><input type="submit" name="submit" value="submit"></td>
 </tr>
</table>
</form>

<?php
    }
?>