<?php

// returns the s_id of a skill based on the skill's description
function get_s_id($description)
{
    global $db;
    $result = $db->query("SELECT s_id FROM skill_levels WHERE description = '$description'");
    list($s_id) = $db->fetch_array($result);
    return $s_id;
}

// returns the description of a skill based on the s_id
function get_s_description($s_id)
{
    global $db;
    $result = $db->query("SELECT description FROM skill_levels WHERE s_id = $s_id");
    list($s_description) = $db->fetch_array($result);
    return $s_description;
}


// returns the g_id of a group based on the group's description
function get_g_id($description)
{
    global $db;
    $result = $db->query("SELECT g_id FROM groups WHERE description = '$description'");
    list($g_id) = $db->fetch_array($result);
    return $g_id;
}

// returns the description of a group based on the g_id
function get_g_description($g_id)
{
    global $db;
    $result = $db->query("SELECT description FROM groups WHERE g_id = $g_id");
    list($g_description) = $db->fetch_array($result);
    return $g_description;
}


function check_input($form)
{
    while(list($key, $value) = each($form)) {
        if (empty($value)) quit("$key is a required field, please go back and enter it.");
    }
    return TRUE;
}


function redirect($url)
{
    global $server_type, $absolute_path;
    if ($server_type == "IIS") {
        // iis needs entire http path
        header("Location: http://$absolute_path".getenv('HTTP_HOST').$url);
    } else {
        header("Location: $url");
    }
}

function close_box()
{
    echo "   </table>\n";
    echo "  </td>\n";
    echo " </tr>\n";
    echo "</table>\n";
    return TRUE;
}

function show_skill_levels($select = "")
{
    global $db;
    echo "<select name=\"skill_level\">";
    $result = $db->query("SELECT s_id, description FROM skill_levels ORDER BY s_id ASC");
    while (list($s_id, $description) = $db->fetch_array($result)) {
        $option = "<option";
        if ($description == $select) $option .= " selected";
        $option .= ">$description\n";
        echo $option;
    }
    echo "</select>";
}

function show_groups($select = "")
{
    global $db;
    echo "<select name=\"group\">";
    $result = $db->query("SELECT g_id, description FROM groups ORDER BY g_id ASC");
    while (list($g_id, $description) = $db->fetch_array($result)) {
        $option = "<option";
        if ($description == $select) $option .= " selected";
        $option .= ">$description\n";
        echo $option;
    }
    echo "</select>";
}

function logged_in_check()
{
    global $user;
    if (!$user->IS_LOGGED_IN) quit("You must be logged in to access this section.");
    return TRUE;
}

function admin_check()
{
    global $user, $db, $PHP_SELF, $HTTP_SERVER_VARS;
    if (!$user->admin) {
        // record page and date into security log
        $date = $db->format_date();
        $user = ($user->user_id) ? "$user->user_id" : "0";
        $ip = getenv('REMOTE_HOST');
        $page = $PHP_SELF . $HTTP_SERVER_VARS['QUERY_STRING'];
        $db->query("INSERT INTO security (user_id, ip, page, date) VALUES ($user, '$ip', '$page', '$date')");

        // tell them no...
        quit("You must be an administrator to access this section.");
    }
}

function make_link($href, $title, $description)
{
    echo "<a href=\"$href\" title=\"$title\">$description</a>\n";
    return TRUE;
}

function open_box($width, $title)
{
    global $table_border, $table_bg;
    echo "<table width=\"$width\" bgcolor=\"$table_border\" cellspacing=\"1\" cellpadding=\"0\">\n";
    echo " <tr>\n";
    echo "  <td><center><b>$title</b></center></td>\n";
    echo " </tr>\n";
    echo " <tr>\n";
    echo "  <td>\n";
    echo "   <table width=\"100%\" bgcolor=\"$table_bg\" cellspacing=\"4\" cellspacing=\"2\">\n";
    return TRUE;
}

function table_highlight($counter)
{
    global $table_light, $table_dark;
    if (($counter % 2) == "0") return $table_light;
    else return $table_dark;
}

function quit($error_message)
{

    echo "<b>$error_message</b>";
    require_once('./include/footer.inc.php');
    exit;
}

?>