<?php
    require_once("./include/header.inc.php");

    logged_in_check();

    if (($user->user_id != $user_id) && (!$user->admin)) quit("You do not have permission to view these results.");

    if (empty($sort_order)) $sort_order = "t_id";
    if (empty($direction)) $direction = "ASC";

    if ($op == "delete") {
        $db->query("DELETE FROM users WHERE user_id = $user_id");
        $feedback = "User id #$user_id has been deleted.";
    }

    if ($direction == "DESC") $new_direction = "ASC";
    else $new_direction = "DESC";

    $result = $db->query("SELECT * FROM results WHERE user_id = $user_id ORDER BY $sort_order $direction");
    if ($feedback) echo "<span class=\"error\">$feedback</span>";

    $result2 = $db->query("SELECT real_name FROM users WHERE user_id = $user_id");
    list($real_name) = $db->fetch_array($result2);
?>
    <table cellspacing="1" cellpadding="5" width="100%" bgcolor=<?php echo $registerbg; ?>>
     <tr>
      <td colspan="6" bgcolor=<?php echo $registerheader; ?>><center><b>Test results for <?=$real_name?></b></center></td>
     </tr>
     <tr>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?user_id=$user_id&sort_order=t_id&direction=$new_direction"?>">Test name</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?user_id=$user_id&sort_order=points&direction=$new_direction"?>">Points Scored</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?user_id=$user_id&sort_order=points_possible&direction=$new_direction"?>">Points Possible</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?user_id=$user_id&sort_order=score&direction=$new_direction"?>">Score</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?user_id=$user_id&sort_order=date&direction=$new_direction"?>">Date Taken</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">View Answers</div></td>
     </tr>
<?php

    if (!$db->num_rows($result)) {
        echo "<tr>";
        echo " <td bgcolor=$table_dark colspan=\"6\"><center>No results have been recorded.</td>";
        echo "</tr>";
    }

    while (@extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db")) {

        $result2 = $db->query("SELECT title FROM tests WHERE t_id = $db_t_id");
        list($title) = $db->fetch_array($result2);

        $color = table_highlight($count++);
        echo "<tr>";
        echo " <td bgcolor=$color><div class=\"small\">$title</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_points</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_points_possible</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_score%</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_date</div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"javascript:popUp('answers.php?r_id=$db_r_id&user_id=$db_user_id')\">view answers</a></div></td>";
        echo "</tr>";
    }

   echo "</table><br><br>";