<?php

function multiple_choice($q_id, $question, $answer, $alt_1, $alt_2, $alt_3)
{
    global $question_count, $user;
    ++$question_count;
    echo "$question_count. $question<br><br>\n";

    $rand = mt_rand(1, 4);

    switch ($rand) {
        case "1":
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$answer\">$answer";
                if ($user->admin) echo "&nbsp;&nbsp;<span class=\"small\">[correct answer]</span>";
                echo "<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_1\">$alt_1<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_3\">$alt_3<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_2\">$alt_2<br>\n";
            break;
        case "2":
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_2\">$alt_2<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_1\">$alt_1<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$answer\">$answer";
                if ($user->admin) echo "<span class=\"small\">&nbsp;&nbsp;[correct answer]</span>";
                echo "<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_3\">$alt_3<br>\n";
            break;
        case "3":
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_3\">$alt_3<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_1\">$alt_1<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_2\">$alt_2<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$answer\">$answer";
                if ($user->admin) echo "<span class=\"small\">&nbsp;&nbsp;[correct answer]</span>";
                echo "<br>\n";
            break;
        case "4":
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_1\">$alt_1<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$answer\">$answer";
                if ($user->admin) echo "<span class=\"small\">&nbsp;&nbsp;[correct answer]</span>";
                echo "<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_3\">$alt_3<br>\n";
            echo "<input type=\"radio\" name=\"$q_id\" value=\"$alt_2\">$alt_2<br>\n";
            break;
        default:
            die ("There was an error generating a random number for the multiple choice questions.");
    }

    echo "<br>\n";
    return TRUE;
}

function true_or_false($q_id, $question, $answer)
{
    global $question_count;
    ++$question_count;
    echo "$question_count. $question<br><br>\n";

    echo "<input type=\"radio\" name=\"$q_id\" value=\"True\">True<br>\n";
//    if (($user->admin) && $
    echo "<input type=\"radio\" name=\"$q_id\" value=\"False\">False<br>\n";
    echo "<br>\n";
    return TRUE;
}

function essay($q_id, $question)
{
    global $question_count;
    ++$question_count;
    echo "$question_count. $question<br><br>\n";

    echo "<textarea name=\"$q_id\" rows=\"10\" cols=\"60\"></textarea><br><br><br>\n";
    echo "<br>\n";
    return TRUE;
}

function randomize_questions($required, $s_id, $number_of_questions)
{
    global $db;
    $result = $db->query("SELECT q_id FROM questions WHERE required = '$required' AND s_id = $s_id");
    // get number of questions in skill level
    $numrows = $db->num_rows($result);
    // put the q_ids of each question into an array
    while (@extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db")) $q[++$count] = $db_q_id;

    // initialize random number check array
    $check[0] = -1;

    // print out random questions
    for ($i = 1; $i <= $number_of_questions; $i++) {

        do {
            $flag = FALSE;
            // get a random number between 1 and $numrows
            $rand = mt_rand(1, $numrows);
            // check to make sure this number hasn't been picked yet
            foreach($check as $value) {
                if ($value == $rand) {
                    // pick another number
                    $flag = TRUE;
                    break;
                }
            }
        } while ($flag);

        // set the number in the $check array so it can be checked for future iterations
        $check[$i] = $rand;

        // pull all info about the selected question out of the database
        $result = $db->query("SELECT * FROM questions WHERE q_id = $q[$rand]");
        extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db");

        // call the appropriate function to draw the form

        $bgcolor = table_highlight($count);

        echo "<tr>";
        echo " <td bgcolor=\"$bgcolor\">";

        switch ($db_type) {
            case "Multiple Choice":
                multiple_choice($db_q_id, $db_question, $db_answer, $db_alt_1, $db_alt_2, $db_alt_3);
                break;
            case "True or False":
                true_or_false($db_q_id, $db_question, $db_answer);
                break;
            case "Essay":
                essay($db_q_id, $db_question);
                break;
        }

        echo "  </td>";
        echo "</tr>";

        $count++;
    }
}

    require_once("./include/header.inc.php");
    logged_in_check();

    if ($submit) {
//        print_r($HTTP_POST_VARS);
//        die();
        while (list($q_id, $answer) = each ($HTTP_POST_VARS)) {

            if ($q_id == "t_id") break;
            $count++;

            // get the question and weight for the given q_id
            $result = $db->query("SELECT question, weight FROM questions WHERE q_id = $q_id");
            @extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db");

            // find out if the answer was correct or not
            $result2 = $db->query("SELECT * FROM questions WHERE q_id = $q_id AND answer = '$answer'");
            if ($db->num_rows($result2)) $points += $db_weight;

            // get the correct answer
            $result3 = $db->query("SELECT answer FROM questions WHERE q_id = $q_id");
            @extract($db->fetch_array($result3), EXTR_PREFIX_ALL, "db");

            $answers .= "Question #$count ($db_weight): $db_question:\nUser's answer: $answer\nCorrect answer: $db_answer\n\n";
            $total_points_possible += $db_weight;
        }

        $t_id = $answer;
        $val = $points / $total_points_possible;
        $score = round($val, 2) * 100;
        $date = $db->format_date();
        $answers = addslashes($answers);

        // insert results into database
        $db->query("INSERT INTO results (t_id, user_id, points, points_possible, score, answers, date)
                    VALUES ($t_id, $user->user_id, $points, $total_points_possible, $score, '$answers', '$date')");

        quit("Your test has been scored and recorded.");

    } else {

        $result = $db->query("SELECT * FROM tests WHERE t_id = $t_id");
        @extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db");

        // make sure test is currently viewable
        if (!$db_viewable && !$user->admin) quit("This test is currently unavailable.");

        // error checking
        $result = $db->query("SELECT * FROM questions WHERE required = 'yes' AND s_id = $db_s_id");
        $num_available = $db->num_rows($result);
        if ($num_available < $db_num_required) quit("Error: There aren't enough required questions in this
                                                    skill level to generate the test!");

        $result = $db->query("SELECT * FROM questions WHERE required = 'no' AND s_id = $db_s_id");
        $num_available = $db->num_rows($result);
        if ($num_available < $db_num_random) quit("Error: There aren't enough random questions in this
                                                skill level to generate the test!");



        echo "<center><h2>$db_title</h2></center>";
        echo "<form method=\"post\" action=\"$PHP_SELF\">";

        echo "<table bgcolor=\"$table_border\" width=\"100%\" cellpadding=\"0\" cellspacing=\"1\">";
        echo " <tr>";
        echo "  <td>";
        echo "    <table width=\"100%\" cellspacing=\"0\" cellpadding=\"8\">";

        randomize_questions("yes", $db_s_id, $db_num_required);
        randomize_questions("no", $db_s_id, $db_num_random);

        echo "    </table>";
        echo "  </td>";
        echo " </tr>";
        echo "</table>";
        echo "<input type=\"hidden\" name=\"t_id\" value=\"$t_id\">";
        echo "<input type=\"submit\" name=\"submit\" value=\"submit!\">";
        echo "</form>";
    }
?>