<?php
    require_once("./include/header.inc.php");

    admin_check();

    if (empty($sort_order)) $sort_order = "username";
    if (empty($direction)) $direction = "ASC";

    if ($op == "delete") {
        $db->query("DELETE FROM users WHERE user_id = $user_id");
        $feedback = "User id #$user_id has been deleted.";
    }

    if ($direction == "DESC") $new_direction = "ASC";
    else $new_direction = "DESC";

    $result = $db->query("SELECT * FROM users ORDER BY $sort_order $direction");
    if ($feedback) echo "<span class=\"error\">$feedback</span>";
?>
    <table cellspacing="1" cellpadding="5" width="100%" bgcolor=<?php echo $registerbg; ?>>
     <tr>
      <td colspan="8" bgcolor=<?php echo $registerheader; ?>><center><b>Users</b></center></td>
     </tr>
     <tr>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=user_id&direction=$new_direction"?>">User ID</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=username&direction=$new_direction"?>">Username</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=real_name&direction=$new_direction"?>">Real Name</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=g_id&direction=$new_direction"?>">Group</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=date_joined&direction=$new_direction"?>">Date added</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small"><a href="<?="$PHP_SELF?sort_order=admin&direction=$new_direction"?>">Admin?</a></div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">edit?</div></td>
      <td bgcolor=<?=$registerheader?>><div class="small">delete?</div></td>
     </tr>
<?php

    if (!$db->num_rows($result)) {
        echo "<tr>";
        echo " <td bgcolor=$table_dark colspan=\"8\"><center>No users added yet.</td>";
        echo "</tr>";
    }

    while (@extract($db->fetch_array($result), EXTR_PREFIX_ALL, "db")) {

        $admin = $db_admin ? "yes" : "no";
        $g_description = get_g_description($db_g_id);

        $color = table_highlight($count++);
        echo "<tr>";
        echo " <td bgcolor=$color><div class=\"small\">$db_user_id</div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"results.php?user_id=$db_user_id\">$db_username</a></div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_real_name</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$g_description</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$db_date_joined</div></td>";
        echo " <td bgcolor=$color><div class=\"small\">$admin</div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"user.php?user_id=$db_user_id\">edit</a></div></td>";
        echo " <td bgcolor=$color><div class=\"small\"><a href=\"$PHP_SELF?op=delete&user_id=$db_user_id\">delete</a></div></td>";
        echo "</tr>";
    }

   echo "</table><br><br>";